FaxC - an automated fax receiver, filter and printer
====================================================


1. Setup your mgetty
====================

Edit /etc/inittab to make sure mgetty respawns so that the phone line is monitored
example

#modem getty
mo:235:respawn:/usr/sbin/mgetty -s 38400 /dev/modem


Edit /etc/mgetty+sendfax/mgetty.config if you need to. Can't give an example here
as in my case I don't need to - depends on your modem.


Edit /etc/mgetty+sendfax/dialin.config if you want to - basically allows certain
phone numbers to dial in or not


The presence of /etc/nologin.modem will disallow all incoming calls. If you want
to allow incoming calls, just rename this to something else, or delete this (basis
for allowing incoming calls at certain times of day - use a cron tab to create and
delete this file)


The script /etc/mgetty+sendfax/new_fax is called whenever a new fax is received, and
should be edited to reflect the location of FaxC.


An example new_fax, modified from the original supplied with mgetty distribution

#-----------------------------------------------------------------------
#!/bin/sh
#
# sample script to automatically convert incoming faxes to pbm, uuencode
# and gzip them, and send them to "MAILTO".
# (FAX_NOTIFY_PROGRAM in policy.h)
#
# gert@greenie.muc.de
#
# $Log: new_fax.mail,v $
# Revision 1.2  2000/07/16 21:18:08  gert
# add .gz to file names, for automatic unziping
#
MAILTO="root"
MAILER=/usr/sbin/sendmail

PATH=$PATH:/usr/local/bin
G3TOPBM=g32pbm
#
#
HUP="$1"
SENDER="$2"
PAGES="$3"
TARGET="/home/directory/Faxes/Inbox"
shift 3
P=1

while [ $P -le $PAGES ]
do
	FAX=$1
	RES=`basename $FAX | sed 's/.\(.\).*/\1/'`

	if [ "$RES" = "n" ]
	then
		STRETCH="-s"
	else
		STRETCH=""
	fi

#	(
#	    echo "Subject: fax from $SENDER, page $P of $PAGES"
#	    echo "To: $MAILTO"
#	    echo ""
	    # mimencode could be used instead of uuencode
#	    $G3TOPBM $STRETCH $FAX \
#	    | gzip -9 \
#	    | uuencode `basename $FAX`.pbm.gz
#	) | $MAILER $MAILTO

	cat $FAX | $G3TOPBM $STRETCH > $FAX.pbm
	rm $FAX
	mv $FAX.pbm $TARGET

	shift
	P=`expr $P + 1`
done

exit 0

#--------------------------------------------------------------------------------------

Faxes will now be saved as .pbm s and moved to $TARGET (in this case 
/home/directory/Faxes/Inbox - change it to you home directory/Inbox)


2. Setup the program
====================

If running exu - requirements - Irv Mullins euGTK 1.2, GTK1.x.
If running exe (bound executable) - rewuirements GTK1.x

Install the program in the directory of your choice, eg Faxes

Run the program in the directory
    from a console
	./exu FaxC.exu
	or
	./FaxC.exe

    from the desktop
	create a script in the program directory
	    cd /home/user/Faxes (change /home/user to the correct/chosen path)
	    FaxC.exe or exu FaxC.exu
	make it executable (eg chmod +x FaxC.scr)
	create a desktop icon that runs this script from the desktop
	(why? - the current directory needs to be set into the Faxes directory
	the script ensures that this is done)
	launch the program by clicking on the icon
	
    On first run the program will create the Inbox, Junk and saved directories

3. Running the program
======================

Three tabs

Main	
    List of faxes in inbox - click on this to select a fax for an action
    
    View	View the selected fax using the setup viewing program
    Print	Print the selected fax, using the selected printer
    Junk	Move the selected fax to the Junk folder
    Save	Save the selected fax to the saved folder
    Refresh	Refresh the list in the Inbox, and print out any recognisable faxes
    Quit	Quits the program

Other faxes
    2 lists - saved and junked faxes
    
    Delete saved 	moves faxes in the saved list to the junk list
    View		views the selected fax in either list
    Clear deleted	empties the Junk list and the folder
    Save selected	moves selected fax in junk list to saved list
    Print		prints the selected fax, either list
    
Rules and setup
    2 lists - senders auto saved, and senders auto junked
    
    Filter panel - enter the part of the fax name that matches an arrival in the
    inbox - case sensitive. eg - some senders announce the sending telephone number
    when they send a fax.
    Then press either auto save or auto junk - the entry will appear in the
    appropriate filter list.
    To remove an entry - select in either list and press remove from list.
    
    Printer command - enter the command to print. You must select your printer
    function yourself. Personally I use turboprint, so my entry looks like this
    
	lpr -Ptp0
	
    However there are various programs to convert pbms - eg pbm2ps - which could also
    be incorporated here, or you could write yourself a script which is called here.
    Note you do not need to add a filename to the definition, FaxC does this for
    you.
    
    Auto print - when the program first starts this is checked. FaxC checks the
    inbox every half hour, and if there are any auto print filter matches, and this
    box is checked, then the fax is printed, and moved to the saved folder.
    
    Test - tests your print command - prints the sample fax.
    
    View command - starts the program that you choose to use to view the faxes.
    Personally I use xzgv - very easy, lightweight and quick.
    
    All filters, print commands, and view commands are saved as you go, hence no
    save button.
    
    
The program will only allow one instance of itself to be present - so if for any
reason it crashes (!), or the machine crashes, you need to delete FaxC.run, in order
to allow it to restart.

